using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class AssginConfigGroupRequest: INewRockRequest<AssginConfigGroupResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        public Group Group { get; set; }
    }

    public class Group
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("voicefile")]
        public string Voicefile { get; set; }

        [XmlElement("distribution")]
        public string Distribution { get; set; }

        [XmlElement("ext")]
        public List<string> Ext { get; set; }
    }

    public class ConfigGroupExt
    {
        [XmlElement("ext")]
        public string Ext { get; set; }
    }
}
